1 Reply Latest reply: Nov 18, 2012 1:03 AM by King_Penguin
ashishdna Level 1 (0 points)

Ipod touch with iOS 4.2.1 but can't install new iBooks as it is supported from iOS from 5.0.

 

But my iPod can't be upgraded from iOS 4.2.1.

 

Please suggest how to proceed on this.

 

Thanks,

Ashish


iPod touch, iOS 4.2
  • King_Penguin Level 10 (120,071 points)

    Unless you downloaded and still have an older compatible version of the iBooks app somewhere (e.g. on your computer or on a backup) then you won't be able to use the app - only the current version of each app is available in the store.